package Uploader::ResizeManager;
use strict;
use base qw/Uploader::ThreadManager/;
use Uploader::ResizeWorker;

__PACKAGE__->mk_accessors(qw/
    wx_thumb_dir
    preferences
/);


sub new_worker {
    my ( $self ) =@_;


    Uploader::ResizeWorker->new({
        thumb_dir    => $self->thumb_dir,
        wx_thumb_dir => $self->wx_thumb_dir,
        resized_dir  => $self->resized_dir,
        preferences  => $self->preferences,
        write_type   => 'jpg',
    });
}


sub create_wx_thumbnail {
    my ( $self, $image ) = @_;

    $self->worker->create_wx_thumbnail($image);
}


1;