package Uploader::TransferManager;
use threads;
use threads::shared;
use Thread::Queue;
use strict;
use base qw/Uploader::ThreadManager/;
use Uploader::TransferWorker;
use vars qw/$AUTOLOAD/;
__PACKAGE__->mk_accessors(qw/
    pwg
/);


sub new_worker {
    my ( $self ) =@_;


    Uploader::TransferWorker->new({
        pwg => $self->pwg,
    });

}


sub destination_category {
    my ( $self, $category ) = @_;

    $self->worker->destination_category($category);
}


sub destination_category_is_empty {
    my ( $self ) = @_;

    $self->worker->destination_category_is_empty;
}


1;